import 'package:flutter/material.dart';
import 'package:SEFER/constant/style.dart';

import '../../constant/colors.dart';

ThemeData themeEnglish = ThemeData(
  fontFamily: "PlayfairDisplay",
  textTheme: TextTheme(
      displaySmall: AppStyle.title,
      displayLarge: AppStyle.title,
      displayMedium: AppStyle.title,
      bodyLarge: AppStyle.title,
      bodyMedium: AppStyle.title),
  primarySwatch: Colors.blue,
  dialogTheme: DialogTheme(
    backgroundColor: AppColor.secondaryColor,
    contentTextStyle: AppStyle.title,
    titleTextStyle: AppStyle.title,
  ),
  appBarTheme: AppBarTheme(
    elevation: 0,
    color: AppColor.secondaryColor,
    centerTitle: true,
    iconTheme: const IconThemeData(
      color: AppColor.primaryColor,
    ),
    toolbarTextStyle: TextTheme(
            titleSmall: AppStyle.subtitle,
            headlineSmall: AppStyle.title,
            titleLarge: AppStyle.headTitle2)
        .bodyMedium,
    titleTextStyle: TextTheme(
            titleSmall: AppStyle.subtitle,
            headlineSmall: AppStyle.title,
            titleLarge: AppStyle.headTitle2)
        .titleLarge,
  ),
);

ThemeData themeArabic = ThemeData(
  fontFamily: "Cairo",
  textTheme: const TextTheme(
      displayLarge: TextStyle(
          fontWeight: FontWeight.bold,
          fontSize: 22,
          color: AppColor.primaryColor),
      displayMedium: TextStyle(
          fontWeight: FontWeight.bold,
          fontSize: 26,
          color: AppColor.primaryColor),
      bodyLarge: TextStyle(
          height: 2,
          color: AppColor.accentColor,
          fontWeight: FontWeight.bold,
          fontSize: 14),
      bodyMedium:
          TextStyle(height: 2, color: AppColor.accentColor, fontSize: 14)),
  primarySwatch: Colors.blue,
);
